import { Request, Response } from "./types";
import { Client, Plugin, PluginModules, PluginManifest } from "@web3api/core-js";
export declare class HttpPlugin extends Plugin {
    constructor();
    static manifest(): PluginManifest;
    getModules(_client: Client): PluginModules;
    get(url: string, request: Request): Promise<Response>;
    post(url: string, request: Request): Promise<Response>;
}
